Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PrimaryUserProfile

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.UserProfile
                          oracle.ifs.beans.TieUserProfile
                              oracle.ifs.beans.PrimaryUserProfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TiePrimaryUserProfile

    public class PrimaryUserProfile

extends TieUserProfile

A PrimaryUserProfile contains information related to a DirectoryUser such as the home folder, the default ACLs, ContentQuota.

(Published)

Field Summary
`static java.lang.String` | `CHARACTERSET_ATTRIBUTE` The DirectoryUser's character set preference for document uploading.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CONTENTQUOTA_ATTRIBUTE` The DirectoryUser's information about how much storage the user has allocated/consumed.
`static java.lang.String` | `DEFAULTACLS_ATTRIBUTE` A PropertyBundle containing the name/value pairs keyed by the class name of the AccessControlList to use when creating an instance of that class.
`static java.lang.String` | `DISPLAYNAME_ATTRIBUTE` The DirectoryUser's display name.
`static java.lang.String` | `EMAILADDRESS_ATTRIBUTE` The DirectoryUser's Email Address.
`static java.lang.String` | `HOMEFOLDER_ATTRIBUTE` The DirectoryUser's home folder.
`static java.lang.String` | `LANGUAGE_ATTRIBUTE` The DirectoryUser's language preference for document uploading.
`static java.lang.String` | `LOCALE_ATTRIBUTE` The DirectoryUser's locale preference.
`static java.lang.String` | `READINDICATIONENABLED_ATTRIBUTE` An indicator of whether read indication is enabled or disabled.
`static java.lang.String` | `READINDICATIONSTATE_ATTRIBUTE` An indicator of which documents' content the DirectoryUser has read.
`static java.lang.String` | `TIMEZONE_ATTRIBUTE` The DirectoryUser's time zone preference.

Fields inherited from class oracle.ifs.beans.UserProfile
`DIRECTORYUSER_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `PrimaryUserProfile(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a PrimaryUserProfile.

Method Summary
`protected static PrimaryUserProfile` | `constructPrimaryUserProfile(LibrarySession sess, S_LibraryObjectData data)` Constructs a PrimaryUserProfile object from the definition object.
`protected static java.util.Vector` | `constructPrimaryUserProfileVector(LibrarySession sess, java.util.Vector vector)` Returns PrimaryUserProfile Vector from a Vector of PrimaryUserProfile
`static PrimaryUserProfile[]` | `findByHomeFolder(Folder folder)` Gets all the PrimaryUserProfile objects associated with a specified Home folder.
`java.lang.String` | `getCharacterSet()` Retrieves the default Iana character set setting used when uploading a document.
`ContentQuota` | `getContentQuota()` Gets the DirectoryUser's ContentQuota object.
`AccessControlList` | `getDefaultAcl()` Gets the DirectoryUser's default ACL.
`PropertyBundle` | `getDefaultAcls()` Gets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.
`java.lang.String` | `getDisplayName()` Gets the name of the DirectoryUser that is used for display purposes.
`java.lang.String` | `getEmailAddress()` Gets the name of the DirectoryUser that is used for display purposes.
`Folder` | `getHomeFolder()` Gets the DirectoryUser's home folder.
`java.lang.String` | `getLanguage()` Retrieve the default language setting used when uploading a document.
`java.util.Locale` | `getLocale()` Retrieves the user preferred locale.
`java.util.TimeZone` | `getTimeZone()` Retrieves the user preferred time zone.
`boolean` | `isReadIndicationEnabled()` Determines whether read indication is enabled.
`void` | `putDefaultAcl(java.lang.String className, AccessControlList acl)` Sets the default ACL for a specified class.
`void` | `removeAllDefaultAcls()` Removes all the default ACLs.
`void` | `removeDefaultAcl(java.lang.String className)` Removes the default ACL to the specified class name.
`void` | `setCharacterSet(java.lang.String charSet)` Sets the default character set setting to use when uploading a document.
`void` | `setContentQuota(ContentQuota quota)` Sets the DirectoryUser's ContentQuota attribute.
`void` | `setDefaultAcl(AccessControlList acl)` Sets the default ACL for the PUBLICOBJECT class only.
`void` | `setDefaultAcls(PropertyBundle props)` Sets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.
`void` | `setDisplayName(java.lang.String name)` Sets the name of the DirectoryUser that is used for display purposes.
`void` | `setEmailAddress(java.lang.String email)` Sets the Email address of the DirectoryUser.
`void` | `setHomeFolder(Folder folder)` Sets the DirectoryUser's home folder.
`void` | `setLanguage(java.lang.String language)` Sets the default language setting to use when uploading a document.
`void` | `setLocale(java.util.Locale locale)` Sets the user preferred locale.
`void` | `setReadIndicationEnabled(boolean enable)` Read indication can be enabled or disabled.
`void` | `setTimeZone(java.util.TimeZone timeZone)` Sets the user preferred time zone.

Methods inherited from class oracle.ifs.beans.UserProfile
`constructUserProfile, constructUserProfileVector, getDirectoryUser`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `PrimaryUserProfile`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### HOMEFOLDER_ATTRIBUTE

    public static final java.lang.String HOMEFOLDER_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's home folder.

  See Also:
    Constant Field Values
  (Published)

### DEFAULTACLS_ATTRIBUTE

    public static final java.lang.String DEFAULTACLS_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  A PropertyBundle containing the name/value pairs keyed by the class name of the AccessControlList to use when creating an instance of that class.

  See Also:
    Constant Field Values
  (Published)

### READINDICATIONSTATE_ATTRIBUTE

    public static final java.lang.String READINDICATIONSTATE_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  An indicator of which documents' content the DirectoryUser has read.

  See Also:
    Constant Field Values
  (Published)

### READINDICATIONENABLED_ATTRIBUTE

    public static final java.lang.String READINDICATIONENABLED_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  An indicator of whether read indication is enabled or disabled.

  See Also:
    Constant Field Values
  (Published)

### CONTENTQUOTA_ATTRIBUTE

    public static final java.lang.String CONTENTQUOTA_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's information about how much storage the user has allocated/consumed.

  See Also:
    Constant Field Values
  (Published)

### LANGUAGE_ATTRIBUTE

    public static final java.lang.String LANGUAGE_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's language preference for document uploading.

  See Also:
    Constant Field Values
  (Published)

### CHARACTERSET_ATTRIBUTE

    public static final java.lang.String CHARACTERSET_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's character set preference for document uploading.

  See Also:
    Constant Field Values
  (Published)

### LOCALE_ATTRIBUTE

    public static final java.lang.String LOCALE_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's locale preference. This attribute is stored according to the format specified under the Java API Specification.

  See Also:
    Constant Field Values
  (Published)

### TIMEZONE_ATTRIBUTE

    public static final java.lang.String TIMEZONE_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's time zone preference.

  See Also:
    Constant Field Values
  (Published)

### DISPLAYNAME_ATTRIBUTE

    public static final java.lang.String DISPLAYNAME_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's display name.

  See Also:
    Constant Field Values
  (Published)

### EMAILADDRESS_ATTRIBUTE

    public static final java.lang.String EMAILADDRESS_ATTRIBUTE

  Description copied from class: `PrimaryUserProfile`
  The DirectoryUser's Email Address.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### PrimaryUserProfile

    protected PrimaryUserProfile(LibrarySession session,
                                 java.lang.Long id,
                                 java.lang.Long classId,
                                 S_LibraryObjectData data)
                          throws IfsException

  Constructs a PrimaryUserProfile.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getHomeFolder

    public Folder getHomeFolder()
                         throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets the DirectoryUser's home folder. This is one of the user profile settings.

  Returns:
    DirectoryUser's home folder
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setHomeFolder

    public void setHomeFolder(Folder folder)
                       throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the DirectoryUser's home folder.

  Parameters:
    `folder` - the Folder that will be the home folder
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentQuota

    public ContentQuota getContentQuota()
                                 throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets the DirectoryUser's ContentQuota object.

  Returns:
    the DirectoryUser's ContentQuota or null if the DirectoryUser does not have any quota
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setContentQuota

    public void setContentQuota(ContentQuota quota)
                         throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the DirectoryUser's ContentQuota attribute.

  Parameters:
    `quota` - the DirectoryUser's ContentQuota
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDefaultAcls

    public PropertyBundle getDefaultAcls()
                                  throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.

  Returns:
    PropertyBundle containing default ACLs keyed by class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefaultAcls

    public void setDefaultAcls(PropertyBundle props)
                        throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.

  Parameters:
    `props` - PropertyBundle containing default ACLs keyed by class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDefaultAcl

    public AccessControlList getDefaultAcl()
                                    throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets the DirectoryUser's default ACL. This is one of the user profile settings.

  Returns:
    the DirectoryUser's default ACL
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setDefaultAcl

    public void setDefaultAcl(AccessControlList acl)
                       throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the default ACL for the PUBLICOBJECT class only.

  Parameters:
    `acl` - a valid ACL object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### putDefaultAcl

    public void putDefaultAcl(java.lang.String className,
                              AccessControlList acl)
                       throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the default ACL for a specified class.

  Parameters:
    `className` - name of the class
    `acl` - a valid ACL object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setLanguage

    public void setLanguage(java.lang.String language)
                     throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the default language setting to use when uploading a document. If left or set to NULL, uploads will use the default system settings.

  Parameters:
    `language` - Identifier code of Oracle language to use.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getLanguage

    public java.lang.String getLanguage()
                                 throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Retrieve the default language setting used when uploading a document.

  Returns:
    Identifier code of the Oracle language being used.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setCharacterSet

    public void setCharacterSet(java.lang.String charSet)
                         throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the default character set setting to use when uploading a document. If left or set to NULL, uploads will use the default system settings. Be sure to use the Iana character set name. (i.e. ISO-8859-1)

  Parameters:
    `charSet` - Identifier code of Iana character set to use.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getCharacterSet

    public java.lang.String getCharacterSet()
                                     throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Retrieves the default Iana character set setting used when uploading a document.

  Returns:
    Identifier code of the Iana character set used.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setTimeZone

    public void setTimeZone(java.util.TimeZone timeZone)
                     throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the user preferred time zone.

  Parameters:
    `timeZone` - TimeZone which user would like to use.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getTimeZone

    public java.util.TimeZone getTimeZone()
                                   throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Retrieves the user preferred time zone.

  Returns:
    TimeZone which user prefers to use.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the user preferred locale.

  Parameters:
    `locale` - User preferred locale setting.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getLocale

    public java.util.Locale getLocale()
                               throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Retrieves the user preferred locale.

  Returns:
    User preferred locale setting.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setDisplayName

    public void setDisplayName(java.lang.String name)
                        throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the name of the DirectoryUser that is used for display purposes.

  Parameters:
    `name` - Display name of the DirectoryUser
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets the name of the DirectoryUser that is used for display purposes.

  Returns:
    Display name of the DirectoryUser
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### setEmailAddress

    public void setEmailAddress(java.lang.String email)
                         throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Sets the Email address of the DirectoryUser.

  Parameters:
    `email` - Email address for the DirectoryUser
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets the name of the DirectoryUser that is used for display purposes.

  Returns:
    Email address for the DirectoryUser
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removeDefaultAcl

    public void removeDefaultAcl(java.lang.String className)
                          throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Removes the default ACL to the specified class name.

  Parameters:
    `className` - name of the class
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### removeAllDefaultAcls

    public void removeAllDefaultAcls()
                              throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Removes all the default ACLs.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### findByHomeFolder

    public static PrimaryUserProfile[] findByHomeFolder(Folder folder)
                                                 throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Gets all the PrimaryUserProfile objects associated with a specified Home folder.

  A non-null Folder must be specified. Typically one instance will be returned if the target object is a home folder for a user. A null array is returned if the specified folder is not a home folder.

  Parameters:
    `folder` - the home folder
  Returns:
    the associated PrimaryUserProfile objects
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### constructPrimaryUserProfileVector

    protected static java.util.Vector constructPrimaryUserProfileVector(LibrarySession sess,
                                                                        java.util.Vector vector)
                                                                 throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Returns PrimaryUserProfile Vector from a Vector of PrimaryUserProfile

  Parameters:
    `sess` - current LibrarySession
    `vector` - vector of LibraryObjectData objects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructPrimaryUserProfile

    protected static PrimaryUserProfile constructPrimaryUserProfile(LibrarySession sess,
                                                                    S_LibraryObjectData data)
                                                             throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Constructs a PrimaryUserProfile object from the definition object.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isReadIndicationEnabled

    public boolean isReadIndicationEnabled()
                                    throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Determines whether read indication is enabled.

  Returns:
    true if read indication is enabled
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setReadIndicationEnabled

    public void setReadIndicationEnabled(boolean enable)
                                  throws IfsException

  Description copied from class: `PrimaryUserProfile`
  Read indication can be enabled or disabled.

  Parameters:
    `enable` - true if read indication should be effective.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD